#[derive(Debug)]
pub struct Card {
    image_path: Option<String>,
    hieroglyph: Option<String>,
    reading: Option<String>,
    translation: Option<String>,
    is_learning: Option<bool>
}

impl Card {
    pub fn new(image_path: Option<String>, hieroglyph: Option<String>, reading: Option<String>, translation: Option<String>, is_learning: Option<bool>) -> Card {
        Card {
            image_path, hieroglyph, reading, translation, is_learning
        }
    }

    pub fn image_path(&self) -> Option<String> {
        self.image_path.clone()
    }

    pub fn hieroglyph(&self) -> Option<String> {
        self.hieroglyph.clone()
    }

    pub fn reading(&self) -> Option<String> {
        self.reading.clone()
    }

    pub fn translation(&self) -> Option<String> {
        self.translation.clone()
    }

    pub fn is_learning(&self) -> Option<bool> {
        self.is_learning.clone()
    }

}
